Name:           mysql-administrator
Version:        1.1.6
Release:        2%{?dist}
Summary:        GUI to manage mysql Databases

Group:          Applications/Databases
License:        GPL
URL:            http://www.mysql.com/products/tools/administrator/index.html
Source0:        http://dev.mysql.com/get/Downloads/MySQLAdministrationSuite/mysql-administrator-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:		mysql-administrator-1.1.5-gcc41.patch
Patch1:		mysql-administrator-1.1.5-shellbang.patch
#Patch2 from bugzilla https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=177849
Patch2:		mysql-administrator-gsprintf.patch

BuildRequires:  libglade2-devel, gtkmm24-devel >= 2.6 , pcre-devel, mysql-devel >= 4.0
BuildRequires:  openssl-devel, gtkhtml3-devel, desktop-file-utils
Requires:       mysql >= 4.0, mysql-gui-common

%description
MySQL Administrator enables developers and DBAs to easily perform 
all the command line operations visually including configuring servers,
administering users, and dynamically monitoring database health. Other 
common administrative tasks such as monitoring replication status, 
backup and restore, and viewing logs can also be performed through the 
MySQL Administrator graphical console.

%package     -n mysql-gui-common
Summary:        Common data shared among the MySQL GUI Suites
Group:          System Environment/Libraries

%description -n mysql-gui-common
This package contains  glade files images and translations used by mysql tools
at runtime

%prep
%setup -q
%patch0 -p1 -b .gcc41
%patch1 -p1 -b .shellbang
%patch2 -p0 -b .gsprintf

%build
pushd  mysql-gui-common
%configure
make %{?_smp_mflags}
popd

pushd mysql-administrator
%configure
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd mysql-gui-common
chmod 644 COPYING README
make install DESTDIR=$RPM_BUILD_ROOT
popd

pushd mysql-administrator
chmod 644 COPYING
make install DESTDIR=$RPM_BUILD_ROOT
popd

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/mysql-gui/doc/administrator
cp -r mysql-administrator/doc/* $RPM_BUILD_ROOT/%{_datadir}/mysql-gui/doc/administrator
# MySQL  use dos new line characters  that desktop file install doesnt like
# MySQL  also use dos new line endings in there documantation files rpmlint didint like them
sed -i 's/\r//' $RPM_BUILD_ROOT%{_datadir}/applications/MySQLAdministrator.desktop
sed -i 's/\r//' mysql-administrator/COPYING mysql-gui-common/COPYING mysql-gui-common/README

desktop-file-install --vendor=startcom \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category System \
  --add-category Application \
  --add-category X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/MySQLAdministrator.desktop

%find_lang mysql-gui-common
%find_lang mysql-administrator


%clean
rm -rf $RPM_BUILD_ROOT


%files -f mysql-administrator.lang
%defattr(-,root,root,-)
%doc mysql-administrator/COPYING 
%{_bindir}/mabackup
%{_bindir}/mysql-administrator
%{_bindir}/mysql-administrator-bin
%{_datadir}/applications/*-MySQLAdministrator.desktop
%{_datadir}/mysql-gui/MySQLIcon_Admin_*.png
%dir %{_datadir}/mysql-gui/administrator
%{_datadir}/mysql-gui/administrator/*
%{_datadir}/mysql-gui/doc/*


%files -n mysql-gui-common -f mysql-gui-common.lang
%defattr(-,root,root,-)
%doc mysql-gui-common/COPYING mysql-gui-common/README
%dir %{_datadir}/mysql-gui
%dir %{_datadir}/mysql-gui/doc
%{_datadir}/mysql-gui/common

%changelog
* Mon Apr 03 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Tue Feb 14 2006 Dennis Gilmore <dennis@ausil.us> - 1.1.6-2
- rebuild for fc5

* Thu Jan 12 2006 Dennis Gilmore <dennis@ausil.us> - 1.1.6-1
- update to 1.1.6 make mysql-gui-common description more appropriate
- Fix Help,  apply patch for backup failure bugzilla #177849
- add new lang files

* Thu Jan 12 2006 Dennis Gilmore <dennis@ausil.us> - 1.1.5-3
- apply gcc4.1 patch only on fc5 

* Wed Jan 11 2006 Dennis Gilmore <dennis@ausil.us> - 1.1.5-2
- fix lang files and trailing /

* Sat Jan 07 2006 Dennis Gilmore <dennis@ausil.us> - 1.1.5-1
- update to 1.1.5

* Fri Oct 28 2005 Dennis Gilmore <dennis@ausil.us> - 1.1.4-1
- update to 1.1.4  update build requires to gtkmm24-devel

* Wed Sep 28 2005 Dennis Gilmore <dennis@ausil.us> - 1.1.2-1
- Initial Build
